mset.h File Reference

Class representing a list of search results. More...

## Classes

class | Xapian::MSet
| Class representing a list of search results. More...
class | Xapian::MSetIterator
| Iterator over a Xapian::MSet. More...

## Namespaces

| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Functions

bool | Xapian::operator== (const MSetIterator &a, const MSetIterator &b)
| Equality test for MSetIterator objects.
bool | Xapian::operator!= (const MSetIterator &a, const MSetIterator &b)
| Inequality test for MSetIterator objects.
bool | Xapian::operator< (const MSetIterator &a, const MSetIterator &b)
| Inequality test for MSetIterator objects.
bool | Xapian::operator> (const MSetIterator &a, const MSetIterator &b)
| Inequality test for MSetIterator objects.
bool | Xapian::operator>= (const MSetIterator &a, const MSetIterator &b)
| Inequality test for MSetIterator objects.
bool | Xapian::operator<= (const MSetIterator &a, const MSetIterator &b)
| Inequality test for MSetIterator objects.
MSetIterator | Xapian::operator+ (MSetIterator::difference_type n, const MSetIterator &it)
| Return MSetIterator it incremented by n positions. More...

## Detailed Description

Class representing a list of search results.